#jinja2: lstrip_blocks: True
apiVersion: local.storage.openshift.io/v1alpha1
kind: LocalVolumeSet
metadata:
  name: {{ odf_prefix | default('odf') }}-local-storage
  namespace: openshift-local-storage
  annotations:
    argocd.argoproj.io/sync-options: SkipDryRunOnMissingResource=true
spec:
  deviceInclusionSpec:
    deviceTypes:
      - disk
      - part
    minSize: 10Gi
  nodeSelector:
    nodeSelectorTerms:
      - matchExpressions:
          - key: node-role.kubernetes.io/storage
            operator: Exists
  storageClassName: {{ odf_prefix | default('odf') }}-local-storage
  volumeMode: Block
